Bug 764624 - (GLUSTER-2892) Dependences for glusters(>=3.2.x) debian/ubuntu package.
Dependences for glusters(>=3.2.x) debian/ubuntu package.
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-09 12:41 EDT by Arkady Smirnov
Modified: 2015-10-22 11:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arkady Smirnov 2011-05-09 12:41:44 EDT
Hi.

Please, add python-minimal and python-argparse dependences to a glusters(>=3.2.x) debian/ubuntu package.


gluster1:~# gluster peer detach 10.10.0.122
Traceback (most recent call last):
  File "/usr/lib/glusterfs/glusterfs/python/syncdaemon/gsyncd.py", line 17, in <module>
    from syncdutils import FreeObject, norm, grabpidfile, finalize, log_raise_exception
  File "/usr/lib/glusterfs/glusterfs/python/syncdaemon/syncdutils.py", line 7, in <module>
    from threading import Lock, Thread as baseThread
ImportError: No module named threading
Detach successful
Comment 1 Lakshmipathi G 2011-07-26 00:59:29 EDT
Thanks Arkady Smirnov, will include these two dependences  for deb package in future.(> 3.2.2)
Comment 2 Amar Tumballi 2012-04-17 15:13:37 EDT
Vijay, assigning to you so that you can take appropriate resolution on this. Is there any change in our .deb building policy? Close it if you think it is fixed.
Comment 3 Niels de Vos 2014-11-09 06:33:53 EST
Adding one of the Debian/Ubuntu package maintainers on CC.

You can also file an issue on their main launchpad (please add a link in this bug too):
- https://launchpad.net/~gluster
Comment 4 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.